function out=f_performance(x_obs,x_mod)
x_mod=reshape(x_mod,size(x_obs));
a=find(~isnan(x_obs)&~isnan(x_mod));
x_obs=x_obs(a);
x_mod=x_mod(a);
Y=reshape(x_obs,[],1);
X=x_mod;
if size(X,1)~=length(Y)
    X=X';
end
X2=[ones(length(Y),1),X];
[B,BINT,R,RINT,STATS] = regress(Y,X2);
out.r2=STATS(1);
out.rmse=sqrt(sum((x_obs-x_mod).^2)/length(x_obs));
out.mae=nanmean(abs(x_obs-x_mod));
out.skill=1-sum(abs(x_mod-x_obs).^2)/(sum(abs(x_mod-nanmean(x_mod)).^2+abs(x_obs-nanmean(x_obs)).^2));
