function f_fill_err(time,meanvalue,err,color)
ls='none'; %linestyle
a=find(isnan(meanvalue)|isnan(err));
time=reshape(time,1,[]);
meanvalue=reshape(meanvalue,1,[]);
err=reshape(err,1,[]);
if isempty(a)
    fillx=[time,fliplr(time)];
    filly=[meanvalue-err,fliplr(meanvalue+err)];
    fill(fillx,filly,color,'linestyle',ls);
    return;
end

ibegin=1;
ivalid=1;
for itime=1:length(time)
    %- get the continuous time
    if isnan(meanvalue(itime))||isnan(err(itime))
        if ivalid>ibegin
            fillx=[time(ibegin:ivalid),fliplr(time(ibegin:ivalid))];
            filly=[meanvalue(ibegin:ivalid)-err(ibegin:ivalid),fliplr(meanvalue(ibegin:ivalid)+err(ibegin:ivalid))];
            fill(fillx,filly,color,'linestyle',ls);
        end
        ibegin=itime+1;
    else
        ivalid=itime;
    end
    if itime==length(time)
        if ivalid>ibegin
            fillx=[time(ibegin:ivalid),fliplr(time(ibegin:ivalid))];
            filly=[meanvalue(ibegin:ivalid)-err(ibegin:ivalid),fliplr(meanvalue(ibegin:ivalid)+err(ibegin:ivalid))];
            fill(fillx,filly,color,'linestyle',ls);
        end
    end
end
