function [r2,mae]=f_get_r2(X,y)
Y=reshape(y,[],1);
if size(X,1)~=length(Y)
    X=X';
end
X2=[ones(length(y),1),X];
if ~isempty(find(isnan(X)))
    r2=-1;
    mae=9999;
    return;
end
[B,BINT,R,RINT,STATS] = regress(Y,X2);
r2=STATS(1);
mae=mean(abs(R));