function test_forcing=f_get_test_forcing(varargin)
forcing=varargin{1};
asft=varargin{2};
testing_time=varargin{3};

% additional options
use_anomaly=0;
avg_window=30; 
%%
X=[];
vifor=0;
for ifor=asft.ifor
    vifor=vifor+1;
    tmpvar=forcing(ifor).var;
    tmptime=forcing(ifor).time;
    itran=asft.itran(vifor);
    jsmooth=asft.jsmooth(vifor);
    ishift=asft.ishift(vifor);
    iacc=asft.iacc(vifor);
    
    eval(['xo=f' num2str(itran) '_tranform(tmpvar);']);
    for itime=1:length(tmptime)
        a=find(abs(tmptime-tmptime(itime))<jsmooth/2);
        jtmp(itime)=nanmean(xo(a));
    end
    x=testing_time*NaN;
    for itime=1:length(testing_time)
        a=tmptime>=testing_time(itime)-ishift-avg_window/2-iacc&...
        tmptime<=testing_time(itime)-ishift+avg_window/2;
        x(itime)=nanmean(jtmp(a));  
    end
    X=[X,reshape(x,[],1)];
end
test_forcing.X=X'; %make the second dimension same as the length of y