function interval=f_interp1(z,val,interz)
%- get rid of duplicate z
tmpz=unique(z); % it reque the unique set and sort the vector
for iz=1:length(tmpz)
    a=find(z==tmpz(iz));
    tmpval(iz)=nanmean(val(a));
end
z=tmpz;
val=tmpval;

%- if no valid value, return nan value
a=find(~isnan(val));
if length(a)==1
    interval(1:length(interz))=val(a);
    return;
end
if isempty(a)
    interval(1:length(interz))=NaN;
    return;
end

%- only non-nan values will be used
z=z(a);
val=val(a); 

%- at least two valid value 
interval=interp1(z,val,interz,'pchip');

%- fill the value at both end 
a=find(interz<=min(z));
if ~isempty(a)
    interval(a)=tmpval(1);
end

a=find(interz>=max(z));
if ~isempty(a)
    interval(a)=tmpval(end);
end