function newForcing=f_transform_forcing(varargin)
forcing=varargin{1};
ats=varargin{2};
vifor=varargin{3};
time=varargin{4};

%additional options
avg_window=30;
use_anomaly=0;
for iopt = 5 : 2 : nargin
	optvalue = varargin{iopt+1};
	switch lower(varargin{iopt})
        case 'avg_window'
            avg_window=optvalue;
        case 'use_anomaly'
            use_anomaly=optvalue;
        otherwise
            error(['argument not recoganized (due to spell error mostly): ' varargin{iopt}]);
    end
end

disp('in f_transform_forcing');
valid_ifor=0;
for ifor=1:length(forcing)
    if vifor(ifor)==0
        continue;
    end
    shift=ats(ifor).shift;
    acc=ats(ifor).acc;
    tran=ats(ifor).tran;
    smo=ats(ifor).smo; 
    
    valid_ifor=valid_ifor+1;
    tmptime=forcing(ifor).time;
    if use_anomaly==1
        out=f_remove_seasonal(forcing(ifor).time,forcing(ifor).var);
        forcing(ifor).anomaly=out.anomaly;
    else
        tmpvar=forcing(ifor).var;
    end
    if use_anomaly==1
        newForcing.X(valid_ifor,:)=f_sas_forcing(forcing(ifor).time,forcing(ifor).anomaly,time,tran,smo,shift,acc,avg_window);
    else
        newForcing.X(valid_ifor,:)=f_sas_forcing(forcing(ifor).time,forcing(ifor).var,time,tran,smo,shift,acc,avg_window);
    end
        newForcing.time=time;
end
